# Grafana Module for Icinga Web 2

#### Table of Contents

1. [About](#about)
2. [License](#license)
3. [Support](#support)
4. [Requirements](#requirements)
5. [Documentation](#documentation)
6. [Contributing](#contributing)
7. [Donations](#donations)


## About

Add Grafana graphs into Icinga Web 2 to display performance metrics.

<table border="0">
<tr>
   <td><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_01.png"></td>
   <td rowspan="2"><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_05.png"></td>
</tr>
<tr>
   <td><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_01.png"></td>
</tr>
</table>




## License

Icinga Web 2 and this Icinga Web 2 module are licensed under the terms of the GNU
General Public License Version 2, you will find a copy of this license in the
LICENSE file included in the source package.

## Support

Join the [Icinga community channels](https://www.icinga.com/community/get-involved/) for questions.

## Requirements

* [Icinga Web 2](https://www.icinga.com/products/icinga-web-2/) (>= 2.4.1)
* [Grafana](https://grafana.com/) (>= 4.1) **For Grafana 5, dashboard names need to be unique!**
* [InfluxDB](https://docs.influxdata.com/influxdb/), [Graphite](https://graphiteapp.org) or [PNP](https://docs.pnp4nagios.org/) (untested) as backend for Grafana
* [PHP](https://www.php.net) **with curl enabled** (for proxy mode)

## Documentation

You can find the complete documentation inside the [doc](https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc) folder.

## Thanks

This module borrows a lot from https://github.com/Icinga/icingaweb2-module-generictts & https://github.com/Icinga/icingaweb2-module-pnp.

## Contributing

There are many ways to contribute to the Icinga Web module for Grafana --
whether it be sending patches, testing, reporting bugs, or reviewing and
updating the documentation. Every contribution is appreciated!

Please continue reading in the [contributing chapter](CONTRIBUTING.md).

## Donations
This module is and will always be free of charge. But if you feel the urge to make the developer happy, you can donate item(s) from his [Amazon wishlist](https://www.amazon.de/hz/wishlist/ls/1QS5BHOL5V7AE?&sort=default) :)

